Jump to content
Sign in to follow this  
Yves

Build environment and deployment on the Mac

Recommended Posts

For future references, SVN currently seems to compile fine against the 10.10 SDK. Can't try to run it just yet because I haven't updated to Yosemite yet.

I'm still getting a linker error on the atlas UI but I think it might be my setup.

  • Like 1

Share this post


Link to post
Share on other sites

I found why I had an error trying to compile AtlasUI: it couldn't find the linked library libjpeg. I added to the library search path the proper file and it worked.

Then it couldn't find libtiff, so I added "/usr/local/lib" to the path (perhaps unnecessary, unsure?) and relinked in homebrew and it worked.

Share this post


Link to post
Share on other sites

Are you using build-osx-libs.sh? It passes --without-libtiff to wxWidgets configure so that shouldn't be a problem, and also sets builtin libjpeg (the one bundled with wxWidgets). So unless those flags aren't working or there's a bug in the configure script, neither of those problems make sense.

Share this post


Link to post
Share on other sites

I haven't recompiled my libraries in a while, so maybe that's it?

It does look like you're right, so I'm just going to go with "my libraries are outdated".

Share this post


Link to post
Share on other sites

In other OS X news, it seems we won't be supporting 10.6 or older anymore as of Alpha 18. I don't think that affects many users in practice, but the situation is that we have transitioned to C++11 now and the C++ libraries on older OS X versions don't have as good C++11 support as we require. This may or may not change based on user feedback, but it should be easy for just about anyone to update their OS X version anyway (if you can't for some reason, feel free to comment).

Share this post


Link to post
Share on other sites

Just tried recompiling spidermonkey from scratch (it had been a while, I sitll had 1.8.5 source and it literally took 5GB of my HDD), and I ran into an error: the ICU compilation failed. Now since on OSX we compile ICU anyways (and it works), my solution was to pass --with-system-icu and export the patch to pkg_config. Which seemed to work. Did I do something wrong or has it broken recently?

Also I tried compiling with trace logging, and it turns out <endian.h> on OSX doesn't define the proper stuff so you need something like this included.

Share this post


Link to post
Share on other sites

Just tried recompiling spidermonkey from scratch (it had been a while, I sitll had 1.8.5 source and it literally took 5GB of my HDD), and I ran into an error: the ICU compilation failed. Now since on OSX we compile ICU anyways (and it works), my solution was to pass --with-system-icu and export the patch to pkg_config. Which seemed to work. Did I do something wrong or has it broken recently?

Also I tried compiling with trace logging, and it turns out <endian.h> on OSX doesn't define the proper stuff so you need something like this included.

I just did a clean build in 10.11 w/ Xcode 7.0.1 and there were no such errors. Which versions are you using? Do you have any local modifications to SVN? It would be good if SM could build with the existing ICU, to save time and space, as long as it doesn't need a separate debug version (we only make a release build of ICU).

Share this post


Link to post
Share on other sites

I built it using the build-osx-libs script configured with min OSX version 10.10. I don't know if we specify and SDK when we run that script only and not the whole thing, that could be it I guess?

I agree with you that we should probably try to link with our ICU though, it does not seem to need a debug version as my hack above worked just fine.

Should we also upgrade libpng to 1.6.19? I tried compiling and it worked just fine.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...